[
  {
    "id": "por_row_number",
    "type": "text",
    "x": 0,
    "y": "rowDataTop",
    "text": "1",
    "width": "rowNumberWidth",
    "height": "row_data.row_height",
    "style": "row_data"
  },
  {
    "id": "por_product_id",
    "type": "text",
    "x": "rowNumberWidth",
    "y": "rowDataTop",
    "width": "rowProductWidth - textFieldMargin",
    "height": "row_data.row_height",
    "style": "row_data"
  },
  {
    "id": "por_explanation",
    "type": "text",
    "x": "rowNumberWidth + rowProductWidth",
    "y": "rowDataTop",
    "width": "rowExplanationWidth",
    "height": "row_data.row_height",
    "style": "row_data"
  },
  {
    "id": "por_order_amount",
    "type": "text",
    "x": "paperWidth - rowPriceWithVatWidth - rowPriceWidth - rowPriceUnitWidth -rowOrderUnitWidth - rowOrderAmountWidth",
    "y": "rowDataTop",
    "width": "rowOrderAmountWidth",
    "height": "row_data.row_height",
    "style": "row_data_number"
  },
  {
    "id": "por_order_unit",
    "type": "text",
    "x": "paperWidth - rowPriceWithVatWidth - rowPriceWidth - rowPriceUnitWidth -rowOrderUnitWidth",
    "y": "rowDataTop",
    "width": "rowOrderUnitWidth",
    "height": "row_data.row_height",
    "style": "row_data"
  },
  {
    "id": "por_price__unit",
    "type": "text",
    "format": [
      "%'.2f"
    ],
    "x": "paperWidth - rowPriceWithVatWidth - rowPriceWidth - rowPriceUnitWidth",
    "y": "rowDataTop",
    "width": "rowPriceUnitWidth",
    "height": "row_data.row_height",
    "style": "row_data_number"
  },
  {
    "id": "por_purchase_price_total",
    "type": "text",
    "total": [
      "purchase_price_total",
      "+"
    ],
    "format": [
      "%'.2f"
    ],
    "x": "paperWidth - rowPriceWithVatWidth - rowPriceWidth",
    "y": "rowDataTop",
    "width": "rowPriceWidth",
    "height": "row_data.row_height",
    "style": "row_data_number"
  },
  {
    "id": "por_vat_price",
    "total": [
      "vat_price_total",
      "+"
    ]
  },
  {
    "id": "por_vat_percentage",
    "total": [
      "vat_percentage",
      ""
    ]
  },
  {
    "id": "por_price_total",
    "type": "text",
    "formula": [
      "+",
      "por_purchase_price_total",
      "por_vat_price"
    ],
    "total": [
      "price_total",
      "+"
    ],
    "format": [
      "%'.2f"
    ],
    "x": "paperWidth - rowPriceWithVatWidth",
    "y": "rowDataTop",
    "width": "rowPriceWithVatWidth",
    "height": "row_data.row_height",
    "style": "row_data_number"
  }
]
